DADA2 return code 1

Hello everyone, I’m getting the following error when I try to run the DADA2 denoising step (qiime 2018.4) with a small 16S dataset (2x150) on centos 7.
"Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.“
We used the following command:
qiime dada2 denoise-paired \

–i-demultiplexed-seqs ./…/PTH.qza
–p-trim-left-f 0
–p-trim-left-r 0
–p-trunc-len-f 0
–p-trunc-len-r 0
–p-n-threads 0
–o-table ./…/result1/table.qza
–o-representative-sequences ./…/result1/rep-seqs.qza
–o-denoising-stats ./…/result1/stats.qza
When running with the --verbose tag, we got back the following message:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmph_4co0q7/forward /tmp/tmph_4co0q7/reverse /tmp/tmph_4co0q7/output.tsv.biom /tmp/tmph_4co0q7/track.tsv /tmp/tmph_4co0q7/filt_f /tmp/tmph_4co0q7/filt_r 0 0 0 0 2.0 2.0 2 independent consensus 1.0 0 1000000

R version 4.0.2 (2020-06-22)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.5 / RcppParallel: 5.0.2

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in writeFastq(fqF, fout[[1]], “a”, compress = compress) :
    failed to write record 467
    Error in writeFastq(fqR, fout[[2]], “a”, compress = compress) :
    failed to write record 65940
    Error in writeFastq(fqF, fout[[1]], “a”, compress = compress) :
    failed to write record 446
    Execution halted
    Traceback (most recent call last):
    File “/home/wyf/.conda/envs/qiime2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/wyf/.conda/envs/qiime2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/wyf/.conda/envs/qiime2/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmph_4co0q7/forward’, ‘/tmp/tmph_4co0q7/reverse’, ‘/tmp/tmph_4co0q7/output.tsv.biom’, ‘/tmp/tmph_4co0q7/track.tsv’, ‘/tmp/tmph_4co0q7/filt_f’, ‘/tmp/tmph_4co0q7/filt_r’, ‘0’, ‘0’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/wyf/.conda/envs/qiime2/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/wyf/.conda/envs/qiime2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/wyf/.conda/envs/qiime2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/wyf/.conda/envs/qiime2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.
I am running a small sample set with 3 samples .Anyone else have this problem ?
thanks in advance

Hey @yongfeiwu I think it is a similar issue… Check this out…!

Hi, Sreevatshan,Thank you very much for you reply!
I set threads = 0, it means that all available cores will be used.
This value should not higher than our server is capable of supporting.
Thanks! :smiley:

1 Like

Hi @yongfeiwu!

Have you tried setting it to a smaller number, like 1 or 2?

The interesting part of the error message is here:

This might also be a file-permission issue - any special considerations your sysadmin has for using your cluster?

Hi, thermokarst, Thank you for your reply!
I didn't set it to a small number because I thought it would be slow, I'll try it later
about the file-permission issue, image
is this file-permission OK?
Thanks :slightly_smiling_face:

1 Like

Sorry for the slow reply, @yongfeiwu.

Re the file permissions, I’m not sure - I don’t know what I’m looking at here - permissions are specific to individual files and directories, with that info cropped out there isn’t much I can say.

Thank you ,Mr.thermokarst,
thank you for your help, Maybe I know what the problem is. I shouldn`t do it with metagenomic data. qiime2 is used to analyza the 16S.
thanks again for your help and have a nice day!!! :grinning: :grinning: :grinning:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.